Bug 87802 - Make it possible to run APISupport test within binary test distribution
Make it possible to run APISupport test within binary test distribution
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@apisupport
: TEST
Depends on:
Blocks: 61014
  Show dependency treegraph
 
Reported: 2006-10-23 18:22 UTC by Martin Krauskopf
Modified: 2006-11-26 11:12 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2006-10-23 18:22:01 UTC
At least as much tests as possible. I.e. adjust TestBase.setUp() and then
exclude tests (from "stable" testbag) which needs access to the cvs repository
(e.g. to ant, java, contrib, performance modules). Those tests may be rewritten.
The aim is to just have some starting point, so we can run apisupport test as
part of test4u, daily xtestreport, binary test distribution, and so on.
Comment 1 Martin Krauskopf 2006-10-31 15:21:15 UTC
semi-working on this...
Comment 2 Martin Krauskopf 2006-10-31 15:25:28 UTC
In the first round I will adjust TestBase, introduce "stable" testbag which
excludes a lot of tests which will be continuously rewritten - if possible; and
included again.
I'm cooperating with Zajo who should then make it part of daily xtest reports.
Hopefully in the end there will be less failing tests (seems to me that 10
failures is a standard these days).
Comment 3 Martin Krauskopf 2006-11-01 13:58:54 UTC
First "dirty" round almost over. Still should go through few tests. More
refactoring needed.

nbproject/project.properties; 1.34 -> 1.35;
test/cfg-unit.xml; 1.8 -> 1.9;
test/unit/AvoidModuleListInProjectConstructorTest.java; 1.4 -> 1.5;
test/unit/CreatedModifiedFilesTest.java; 1.25 -> 1.26;
test/unit/EvaluatorTest.java; 1.4 -> 1.5;
test/unit/ManifestManagerTest.java; 1.6 -> 1.7;
test/unit/NbModuleProjectTest.java; 1.36 -> 1.37;
test/unit/NbModuleProviderTest.java; 1.2 -> 1.3;
test/unit/ProjectXMLManagerTest.java; 1.34 -> 1.35;
test/unit/TestBase.java; 1.41 -> 1.42;
test/unit/TestBuildCleanTest.java; 1.2 -> 1.3;
test/unit/UtilTest.java; 1.20 -> 1.21;
test/unit/layers/LayerUtilsTest.java; 1.22 -> 1.23;
test/unit/metainf/ServiceNodeHandlerTest.java; 1.4 -> 1.5;
test/unit/queries/AccessibilityQueryImplTest.java; 1.2 -> 1.3;
test/unit/queries/AntArtifactProviderImplTest.java; 1.6 -> 1.7;
test/unit/queries/ClassPathProviderImplTest.java; 1.49 -> 1.50;
test/unit/queries/JavadocForBinaryImplTest.java; 1.9 -> 1.10;
test/unit/queries/SourceForBinaryImplTest.java; 1.15 -> 1.16;
test/unit/queries/SourceLevelQueryImplTest.java; 1.3 -> 1.4;
test/unit/queries/SubprojectProviderImplTest.java; 1.15 -> 1.16;
test/unit/queries/UnitTestForSourceQueryImplTest.java; 1.4 -> 1.5;
test/unit/queries/UpdateTrackingFileOwnerQueryTest.java; 1.11 -> 1.12;
test/unit/suite/SuiteProjectTest.java; 1.9 -> 1.10;
test/unit/ui/UIUtilTest.java; 1.5 -> 1.6;
test/unit/ui/customizer/AddModuleFilterTest.java; 1.7 -> 1.8;
test/unit/ui/customizer/SingleModulePropertiesTest.java; 1.40 -> 1.41;
test/unit/ui/customizer/SuiteCustomizerLibrariesTest.java; 1.6 -> 1.7;
test/unit/ui/customizer/SuiteCustomizerModuleListTest.java; 1.11 -> 1.12;
test/unit/ui/wizard/action/DataModelTest.java; 1.11 -> 1.12;
test/unit/ui/wizard/action/GUIRegistrationPanelTest.java; 1.7 -> 1.8;
test/unit/ui/wizard/librarydescriptor/DataModelTest.java; 1.3 -> 1.4;
test/unit/ui/wizard/updatecenter/DataModelTest.java; 1.5 -> 1.6;
test/unit/ui/wizard/wizard/DataModelTest.java; 1.5 -> 1.6;
test/unit/universe/ModuleListTest.java; 1.24 -> 1.25;
test/unit/universe/NbPlatformTest.java; 1.26 -> 1.27;
test/unit/universe/TestEntryTest.java; 1.2 -> 1.3;
Comment 4 Martin Krauskopf 2006-11-01 16:02:45 UTC
test4u infrastructure has 'nbbuild' checked out, but not complete CVS tree. So
cvsAvailable was set wrongly there.

test/unit/TestBase.java; 1.42 -> 1.43;
Comment 5 Martin Krauskopf 2006-11-26 11:12:36 UTC
Actually fixed for some time. Now it's up to us how much tests are made runnable
in the test distribution.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo